%define anolis_release 1

Name:		mftrace
Version:	1.2.20
Release:    %{anolis_release}%{dist}

Summary:	Utility for converting TeX bitmap fonts to Type 1 or TrueType fonts

License:	GPLv2
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/download/sources/mftrace/%{name}-%{version}.tar.gz

Patch0001:  0001-mftrace-shebang.patch
Patch0002:  0002-mftrace-1.2.20-man.patch

BuildRequires: make
BuildRequires:  gcc
BuildRequires:	python3-devel autotrace
Requires:	autotrace fontforge t1utils texlive-collection-fontsrecommended

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%py3_shebang_fix .

sed -i -e "s|-Wall -O2|$RPM_OPT_FLAGS|" GNUmakefile.in
find . -type f -name '*.py' | xargs 2to3 -w

%patch1 -p0
%patch2 -p0

%build
PYTHON=%{__python3} %configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/man1/%{name}*
%{_datadir}/%{name}

%files doc
%doc README.txt ChangeLog

%changelog
* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.2.20-1
- Init package from upstream
